//======================================================
// Numerical Analysis package in java
// example to show differential equation solution
// and differentiation (derivative) functions
// Dr. Turhan Coban
// =====================================================
import java.io.*;

class fm1 extends f_xi
{
//av avcı modeli
// Lotka-Volterra denklemi
 double a=.4;  //av çoğalma oranı
 double b=1.6;  //avcı ölüm oranı
 double c=0.8;  //avın ölümündeki av avcı ilişkisinin etkisi
 double d=0.3;  //avcının yetişmesindeki av avcı ilişkisinin etkisi
 double func(double x[],int x_ref)
 {
   //x[0] is x, x[1] is y

   if(x_ref==0) return a*x[1]-b*x[1]*x[2];
   else return -c*x[2]+d*x[1]*x[2];
 }
}

class diferansiyel3H
{

public static void main(String args[]) throws IOException
{
  fm1 b1=new fm1();
  double y[];
  y=new double[2];
  y[0]=1.0;
  y[1]=2.0;
  double a[][]=diferansiyel3.RK6(b1,0.0,40.0,y,10000);
  Plot p1=new Plot(a[0],a[1]);
  p1.addData(a[0],a[2]);
  p1.setXlabel("zaman");
  p1.setYlabel("av ve avcı");
  p1.setPlabel("Av - Avcı modeli");
  p1.plot();
  
  Plot p2=new Plot(a[1],a[2]);
  p2.setXlabel("av");
  p2.setYlabel("avcı");
  p2.setPlabel("Av - Avcı modeli");
  p2.plot();
 }
}
